TagXml (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.descriptor.tld

## Class TagXml

- java.lang.Object
- - org.apache.tomcat.util.descriptor.tld.TagXml

-     public class TagXml
      extends Object

  Model of a tag define in a tag library descriptor. This represents the information as parsed from the XML but differs from TagInfo in that is does not provide a link back to the tag library that defined it.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagXml()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TagAttributeInfo>` | `getAttributes()`
    `String` | `getBodyContent()`
    `String` | `getDisplayName()`
    `String` | `getInfo()`
    `String` | `getLargeIcon()`
    `String` | `getName()`
    `String` | `getSmallIcon()`
    `String` | `getTagClass()`
    `String` | `getTeiClass()`
    `List<TagVariableInfo>` | `getVariables()`
    `boolean` | `hasDynamicAttributes()`
    `void` | `setBodyContent(String bodyContent)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setDynamicAttributes(boolean dynamicAttributes)`
    `void` | `setInfo(String info)`
    `void` | `setLargeIcon(String largeIcon)`
    `void` | `setName(String name)`
    `void` | `setSmallIcon(String smallIcon)`
    `void` | `setTagClass(String tagClass)`
    `void` | `setTeiClass(String teiClass)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagXml

          public TagXml()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getTagClass

          public String getTagClass()

    - #### setTagClass

          public void setTagClass(String tagClass)

    - #### getTeiClass

          public String getTeiClass()

    - #### setTeiClass

          public void setTeiClass(String teiClass)

    - #### getBodyContent

          public String getBodyContent()

    - #### setBodyContent

          public void setBodyContent(String bodyContent)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getSmallIcon

          public String getSmallIcon()

    - #### setSmallIcon

          public void setSmallIcon(String smallIcon)

    - #### getLargeIcon

          public String getLargeIcon()

    - #### setLargeIcon

          public void setLargeIcon(String largeIcon)

    - #### getInfo

          public String getInfo()

    - #### setInfo

          public void setInfo(String info)

    - #### hasDynamicAttributes

          public boolean hasDynamicAttributes()

    - #### setDynamicAttributes

          public void setDynamicAttributes(boolean dynamicAttributes)

    - #### getAttributes

          public List<TagAttributeInfo> getAttributes()

    - #### getVariables

          public List<TagVariableInfo> getVariables()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.